- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
WP3DefinitionGroup Class Reference

`#include <WP3DefinitionGroup.h>`

Inheritance diagram for WP3DefinitionGroup:

## Public Member Functions
| WP3DefinitionGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
| ~WP3DefinitionGroup ()
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP3Listener *listener)
Public Member Functions inherited from WP3VariableLengthGroup
| WP3VariableLengthGroup ()
virtual | ~WP3VariableLengthGroup ()
Public Member Functions inherited from WP3Part
virtual | ~WP3Part ()

## Private Attributes
unsigned char | m_colType
unsigned char | m_numColumns
std::vector< bool > | m_isFixedWidth
std::vector< double > | m_columnWidth

## Additional Inherited Members
Static Public Member Functions inherited from WP3VariableLengthGroup
static WP3VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP3Part
static WP3Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP3VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getSubGroup () const
unsigned short | getSize () const

## Constructor & Destructor Documentation

WP3DefinitionGroup::WP3DefinitionGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |

WP3DefinitionGroup::~WP3DefinitionGroup | ( |  | ) |

## Member Function Documentation

void WP3DefinitionGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| virtual

Reimplemented from WP3VariableLengthGroup.

void WP3DefinitionGroup::parse | ( | WP3Listener * | listener | ) |
| virtual

Implements WP3Part.

## Member Data Documentation

unsigned char WP3DefinitionGroup::m_colType
| private

Referenced by _readContents(), and parse().

std::vector<double> WP3DefinitionGroup::m_columnWidth
| private

Referenced by _readContents(), and parse().

std::vector<bool> WP3DefinitionGroup::m_isFixedWidth
| private

Referenced by _readContents(), and parse().

unsigned char WP3DefinitionGroup::m_numColumns
| private

Referenced by _readContents(), and parse().

The documentation for this class was generated from the following files:

- WP3DefinitionGroup.h
- WP3DefinitionGroup.cpp